#!/proj/irt-gc6/xiaotaow/tk8.4a1/unix/wish

load "../unix/libsipcmbus.so"

namespace eval Test2 {
  variable rHost
  variable rPort
  variable lPort
  variable mute
  variable codec
  variable rate
}

# mbus initialization 
mbus_init

set Test2::rHost "128.59.19.251"
set Test2::rPort "12345"
set Test2::lPort "12345"
set Test2::codec "A-law"
set Test2::rate "2"

proc mbus_control {} {
  puts $Test2::rHost
  puts $Test2::rPort
  puts $Test2::lPort
  puts $Test2::mute
  puts $Test2::codec
  puts $Test2::rate

  mbus_rtp_addr $Test2::rHost $Test2::rPort $Test2::lPort 127
  mbus_talk $Test2::mute
  mbus_codec $Test2::codec
  mbus_packetization $Test2::rate
}

frame .f 
frame .f.rtp_addr
frame .f.other
frame .f.other.codec
frame .f.other.rate
frame .f.button

label .f.rtp_addr.lrhost -text "Remote IP:"
entry .f.rtp_addr.rhost -textvariable Test2::rHost
label .f.rtp_addr.lrport -text "Remote Port:"
entry .f.rtp_addr.rport -textvariable Test2::rPort
label .f.rtp_addr.llport -text "My Port:"
entry .f.rtp_addr.lport -textvariable Test2::lPort

pack .f.rtp_addr.lrhost .f.rtp_addr.rhost .f.rtp_addr.lrport \
     .f.rtp_addr.rport .f.rtp_addr.llport .f.rtp_addr.lport \
     -side left -padx 2
pack .f.rtp_addr

label .f.other.lmute -text "Mute: "
checkbutton .f.other.mute -variable Test2::mute
label .f.other.lcodec -text "Codec: "
radiobutton .f.other.codec.l16 -text "l16" -variable Test2::codec -value "l16"
radiobutton .f.other.codec.pcmu -text "pcmu" -variable Test2::codec -value "pcmu"
radiobutton .f.other.codec.pcma -text "A-law" -variable Test2::codec -value "pcma"
radiobutton .f.other.codec.dvi -text "dvi" -variable Test2::codec -value "dvi"
radiobutton .f.other.codec.gsm -text "gsm" -variable Test2::codec -value "gsm"
radiobutton .f.other.codec.lpc -text "lpc" -variable Test2::codec -value "lpc"
pack .f.other.codec.l16 .f.other.codec.pcmu .f.other.codec.pcma \
	 .f.other.codec.dvi .f.other.codec.gsm .f.other.codec.lpc -anchor w 
label .f.other.lrate -text "Rate: "
radiobutton .f.other.rate.1 -text "1" -variable Test2::rate -value "1"
radiobutton .f.other.rate.2 -text "2" -variable Test2::rate -value "2"
radiobutton .f.other.rate.4 -text "4" -variable Test2::rate -value "4"
radiobutton .f.other.rate.8 -text "8" -variable Test2::rate -value "8"
pack .f.other.rate.1 .f.other.rate.2 .f.other.rate.4 .f.other.rate.8 -fill both

pack .f.other.lmute .f.other.mute .f.other.lcodec .f.other.codec \
     .f.other.lrate .f.other.rate -side left -fill both
pack .f.other -fill both

button .f.button.send -text "Send" -command mbus_control
button .f.button.exit -text "Exit" -command exit
pack .f.button.send .f.button.exit -side left
pack .f.button

pack .f

# mbus_rtp_addr ip-address src dst ttl
# mbus_rtp_addr 128.59.19.24 20000 20000 127

# mbus_talk 0: talk
# mbus_talk 1: mute
# mbus_talk 0

# mbus_codec l16
# mbus_codec pcmu
# mbus_codec dvi
# mbus_codec gsm
# mbus_codec lpc
# mbus_codec A-law

# mbus_packetization 1
# mbus_packetization 2
# mbus_packetization 4
# mbus_packetization 8
# mbus_packetization 1
